[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'EditBtn' (#lcl)

# TCustomControlFilterEdit.OnFilterItem (deprecated)

An event handler to give extra conditions for filtering, in addition to the default behavior. Returns True if the passes the filter.

## Declaration

Source position: editbtn.pas line 289

`published property TCustomControlFilterEdit.OnFilterItem : TFilterItemEvent read fOnFilterItem write fOnFilterItem;`

## Description

This feature has, for example, enabled filtering the Options windows in Lazarus IDE based on captions for all controls on the options pages. Deprecated. Use OnFilterItemEx with a caption parameter instead.